2018-07-21 23:56 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000286v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:08
Reportercastortech 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000286: New autoload doesn't support loading Mail
DescriptionMail isn't loaded in project now that the autoload is in place.

The issue is that the resolution algorithm in autoload doesn't account for the fact that the name to resolve starts with lib.

so I added the following and it now works:
  if (file_exists(W2P_BASE_DIR.'/classes/lib'.$name.'.class.php')) {
      require_once W2P_BASE_DIR.'/classes/lib'.$name.'.class.php';
    return;
  }
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000552

caseydk (administrator)

Resolved in r705;
Also refactored the autoloader a bit to handle the classes cleaner... but not great.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-09 05:11 castortech New Issue
2009-10-11 15:39 caseydk Status new => assigned
2009-10-11 15:39 caseydk Assigned To => caseydk
2009-10-11 15:40 caseydk Project v1.1 Release (Closed) => v1.2 Release (Closed)
2009-10-12 19:09 caseydk Status assigned => resolved
2009-10-12 19:09 caseydk Resolution open => fixed
2009-10-12 19:09 caseydk Note Added: 0000552
2009-12-08 19:08 caseydk Status resolved => closed
2009-12-08 19:08 caseydk Fixed in Version => 1.2
+Issue History